# $Revision: 1.17 $, $Date: 2004/09/18 22:12:13 $
Summary:	Nemerle compiler
Summary(pl):	Kompilator jzyka Nemerle
Name:		nemerle
Version:	0.2.1
Release:	1
Epoch:		0
License:	BSD
Group:		Development/Languages
Vendor:		Nemerle Development Team <feedback@nemerle.org>
Source0:	http://nemerle.org/download/%{name}-%{version}.tar.bz2
# Source0-md5:	6108697ad6a8ba434f5a98f34b8eb02e
URL:		http://nemerle.org/
BuildRequires:	mono-devel >= 1.0
BuildRequires:	pkgconfig
Requires:	mono-devel >= 1.0
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
ExcludeArch:	alpha
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nemerle is a new functional language designed from the ground up for
the .NET platform. Nemerle supports: object oriented and imperative
.NET concepts, variant datatypes, matching, higher order functions and
powerful macro system. It has simple, C#-like syntax and makes access
to imperative features easy, and thus is easy to learn.

%description -l pl
Nemerle jest nowym jzykiem funkcjonalnym zaprojektowanym od pocztku 
z myl o platformie .NET. Nemerle wspiera programowanie obiektowe 
i imperatywne, typy wariantowe, dopasowanie wzorca, funkcje wyszych
rzdw oraz poteny system makr. Skadnia Nemerle jest prosta,
przypomina troch C#. Nemerle umoliwia atwy dostp do swych
imperatywnych oraz obiektowych cech, co powinno uatwi uczenie si
go.

%package libs
Summary:	Nemerle runtime environment
Summary(pl):	rodowisko uruchomieniowe jzyka Nemerle
Group:		Libraries
Requires:	mono >= 1.0

%description libs
Libraries needed to run programs written in Nemerle.

%description libs -l pl
Biblioteki niezbdne do uruchamiania programw napisanych w Nemerle.

%prep
%setup -q

%build
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}/man1 \
	--net-engine=mono

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r snippets/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS AUTHORS README doc/html misc/*.{vim,el}
%attr(755,root,root) %{_bindir}/ncc
%attr(755,root,root) %{_bindir}/ncc.exe
%{_libdir}/mono/nemerle
%{_libdir}/mono/gac/Nemerle.*
%{_mandir}/man1/*
%{_examplesdir}/%{name}-%{version}

%files libs
%defattr(644,root,root,755)
%doc COPYRIGHT
%{_libdir}/mono/gac/Nemerle

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nemerle.spec,v $
Revision 1.17  2004/09/18 22:12:13  undefine
- exclude arch alpha (some as in mono.spec)

Revision 1.16  2004/09/18 22:07:50  undefine
- update to 0.2.1
- rebuild. why? simply test mono compiler ;)

Revision 1.15  2004/09/12 16:20:58  malekith
- up to 0.2.0, use GAC

Revision 1.14  2004/09/02 11:27:26  snurf
- typos / formatting / etc.

Revision 1.13  2004/08/11 09:16:34  ankry
- not noarch

Revision 1.12  2004/07/07 15:13:34  wiget
- don't create already created ncc wrapper
- release 2

Revision 1.11  2004/06/29 12:21:21  malekith
- up to 0.1.4

Revision 1.10  2004/05/30 17:06:15  malekith
- up to 0.1.3

Revision 1.9  2004/04/30 13:22:00  malekith
- up to 0.1.2.1 (most important difference: some more examples)

Revision 1.8  2004/04/28 11:28:10  malekith
- up to 0.1.2

Revision 1.7  2004/02/24 20:05:07  malekith
- update to 0.1.1 (bugfix release); include NEWS file

Revision 1.6  2004/02/17 10:28:19  malekith
- update to 0.1.0
- include source examples and editor modes
- fix description

Revision 1.5  2004/02/04 14:22:32  malekith
- up to 0.0.1592

Revision 1.4  2004/01/30 23:30:08  malekith
- upgrade to 0.0.1522

Revision 1.3  2004/01/26 19:41:55  malekith
- -libs also requires mono

Revision 1.2  2004/01/26 12:42:38  malekith
- nemerle r: nemerle-libs

Revision 1.1  2004/01/26 12:32:09  malekith
- initial
